Ticket #125 (closed bug: fixed)

Opened 12 years ago

Last modified 12 years ago

libffado cannot be built with gcc-4.3

Reported by: adi Assigned to: holin
Priority: trivial Milestone: FFADO 2.1
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description

When trying to build libffado with gcc-4.3, it fails multiple times like this:

tests/systemtests/gen-loadpulses.cpp:94: error: ‘strtol’ was not declared in this scope

It's all due to missing include files.

The attached patch corrects the problem, but it's shouts "code duplication", so it might be useful to refactor it (i.e. provide a very generic include file instead).

Attachments

gcc-4.3.patch (12.2 kB) - added by adi on 05/28/08 06:16:05.
gcc43.patch (343 bytes) - added by adi on 06/13/08 07:21:26.
second patch

Change History

05/28/08 06:16:05 changed by adi

  • attachment gcc-4.3.patch added.

05/29/08 00:33:20 changed by holin

  • owner set to holin.

05/29/08 01:28:10 changed by holin

  • status changed from new to closed.
  • resolution set to fixed.

Fixed in trunk #1234. Re: refactoring, adding a single header with the common stuff vs. adding one to two standard headers didn't seem like too bad code duplication effort after all. I don't expect this needing much "maintenance" in the future - the exception being stuff under external/, but those are only four files.

06/13/08 07:21:26 changed by adi

  • attachment gcc43.patch added.

second patch

06/13/08 07:22:17 changed by adi

  • status changed from closed to reopened.
  • resolution deleted.

There's another one. The second patch fixes the issue.

06/13/08 14:23:27 changed by holin

  • status changed from reopened to closed.
  • resolution set to fixed.

thanks for reporting